Bug 88960 - creating custom boot disk with e1000 module included causes segfault in /sbin/loader
Summary: creating custom boot disk with e1000 module included causes segfault in /sbin...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-15 18:41 UTC by Peter J. Dohm
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 20:47:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter J. Dohm 2003-04-15 18:41:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
when including the intel e1000 kernel module in a custom boot disk (i.e. not
using a driver disk, but placing the e1000 driver directly into the modules.cgz
in the initrd, etc), install runs, delegating to /sbin/loader, and loader
crashes immediately with a signal 11 (segmentation fault).

removing the e1000 module from the boot disk resolves the issue.

having an e1000 card physically installed is entirely unnecessary in order to
reproduce this bug.

this methodology works perfectly for any other network card module we have tried
(tg3, 3c59x, etc), only the e1000 seems to cause a problem.

Version-Release number of selected component (if applicable):
shipped boot disks

How reproducible:
Always

Steps to Reproduce:
1. start with the default boot disk
2. place the e1000 kernel module into the modules.cgz inside the initrd
3. update the pcitable, modules.dep, module-info accordingly.
4. boot
5. cry
    

Actual Results:  /sbin/loader crashes with signal 11 (segmentation fault)

Expected Results:  it should work.

Additional info:

description is sufficient.

Comment 1 Jeremy Katz 2003-04-22 16:13:40 UTC
Did you use spaces or tabs in the module-info file?

Comment 2 Peter J. Dohm 2003-04-22 16:26:17 UTC
all the boot disks i've examined that we've created have tabs, identically the
same formatting to the original module-info text.


Comment 3 Jeremy Katz 2003-04-23 02:13:42 UTC
The code all works fine for me here with our disks.  If you put your disk
somewhere that I can pull it down and take a look at it, I'll try to take a look
at it.

Comment 4 Michael Fulbright 2003-06-18 20:47:10 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.